> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Company Financing Recent

GET https://api.filesearch.dev/v2/datasets/odyssey/companies/{company_id}/financing/recent

Get a company's most recent financing round.

**Headers:**

* `Authorization`: Bearer \{api\_key}
* `X-Organization-ID`: Organization UUID

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/companies/companies-financing-recent

## Request

### Path parameters

- `company_id` (string, required) — Company entity ID, name, or website domain

## Response

### 200

Successful Response

- `entity_id` (string, required)
- `data_sources` (list of string, optional)
- `last_funding_date` (string, optional, nullable)
- `latest_stage` (string, optional, nullable)
- `num_rounds` (integer, optional, nullable)
- `rounds` (list of FundingRound, optional)
- `total_raised` (double, optional, nullable)
- `web_sources` (list of WebSource, optional)

## Errors

### 404 Not Found Error

Company not found

- `error` (string, required)
- `message` (string, required)
- `details` (ErrorResponseV2Details, optional, nullable)
- `path` (string, optional, nullable)
- `success` (boolean, optional, default: false)

### 500 Internal Server Error

Internal server error

- `error` (string, required)
- `message` (string, required)
- `details` (ErrorResponseV2Details, optional, nullable)
- `path` (string, optional, nullable)
- `success` (boolean, optional, default: false)

### 501 Not Implemented Error

Not yet implemented

- `error` (string, required)
- `message` (string, required)
- `details` (ErrorResponseV2Details, optional, nullable)
- `path` (string, optional, nullable)
- `success` (boolean, optional, default: false)

## Types

### FundingRound

Single funding round.

- `amount` (double, optional, nullable)
- `date` (string, optional, nullable)
- `investors` (list of string, optional)
- `round_type` (string, optional, nullable)
- `valuation` (double, optional, nullable)

### WebSource

Web source reference for supplementary data.

- `snippet` (string, optional, nullable)
- `title` (string, optional, nullable)
- `url` (string, optional, nullable)

### ErrorResponseV2Details

## Examples

**Response**

```json
{
  "entity_id": "019e5ffb-550d-74b2-b4bb-84410a854f8d",
  "data_sources": [
    "enrichment",
    "web_search"
  ],
  "last_funding_date": "2026-03-01",
  "latest_stage": "Secondary Market",
  "num_rounds": 26,
  "rounds": [
    {
      "amount": 18000000,
      "date": "2012-02-01",
      "investors": [],
      "round_type": "Series A",
      "valuation": null
    },
    {
      "amount": 80000000,
      "date": "2014-01-01",
      "investors": [],
      "round_type": "Series C",
      "valuation": null
    }
  ],
  "total_raised": 22602745450,
  "web_sources": [
    {
      "snippet": "# Company name\n## Funding History\n1. October 2015\n  Round A\n  $6.1M raised\n  $50M Valuation\n2. October 2015\n  Round A\n  $6.1M raised\n  $50M Valuation\n3. October 2015\n  Round A\n  $6.1M raised\n  $50M Valuation\n$480M\nMoney raised\n$480M\nPost money valuation\n\n## Financials\nAccording to Crunchbase data, Reddit has raised a total of $1.3 billion in funding over nine funding rounds; the company’s latest funding was a $410 million Series F round raised in August 2021. As reported by Bloomberg in January ",
      "title": "Fund Stripe stock options - Equitybee",
      "url": "https://equitybee.com/companies/company?company=stripe"
    },
    {
      "snippet": "# [Stripe - Funding & Investors](https://stripe.com)\n## Stripe's Funding Rounds\n| Date of Funding | Funding Amount | Round Name | Post-Money Valuation | Revenue Multiple | Lead Investors | Other Investors |\n| Apr 08, 2024 | $694M | Series I | $65B | - | - | - |\n| Mar 15, 2023 | $6.87B | Series I | $50B | - | Thrive Capital , Andreessen Horowitz , Baillie Gifford , Founders Fund , General Catalyst , BDT & MSD Partners | Goldman Sachs Asset Management , Temasek , GIC |\n| Mar 14, 2021 | $600M | Ser",
      "title": "2026 Funding Rounds & List of Investors - Stripe - Tracxn",
      "url": "https://tracxn.com/d/companies/stripe/__uahG_IGnVgsUsOG-f8otYHLkOkliWg7YFhJ5ZkNIkpI/funding-and-investors"
    }
  ]
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/companies/stripe/financing/recent",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/companies/stripe/financing/recent`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```